link
lstat
Filesystem Functions
PHP Manual

# linkinfo

Gets information about a link

### Description

int linkinfo ( string `$path` )

Gets information about a link.

This function is used to verify if a link (pointed to by `path`) really exists (using the same method as the S_ISLNK macro defined in stat.h).

### Parameters

`path`

  Path to the link.

### Return Values

linkinfo returns the st_dev field of the Unix C stat structure returned by the lstat system call. Returns 0 or `FALSE` in case of error.

### Changelog

Version | Description
--- | ---
5.3.0 | This function is now available on Windows platforms (Vista, Server 2008 or greater).

### Examples

Example #1 linkinfo example

`<?php
echo linkinfo('/vmlinuz'); // 835
?>`

### See Also

- symlink
- link
- readlink